org.apache.sysds.parser

## Class BooleanExpression

- java.lang.Object
- - org.apache.sysds.parser.Expression
  - - org.apache.sysds.parser.BooleanExpression

- All Implemented Interfaces:
    ParseInfo

      public class BooleanExpression
      extends Expression

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.parser.Expression

      `Expression.BinaryOp, Expression.BooleanOp, Expression.DataOp, Expression.FunctCallOp, Expression.RelationalOp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanExpression(Expression.BooleanOp bop)`
    `BooleanExpression(Expression.BooleanOp bop, ParseInfo parseInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression` | `getLeft()`
    `Expression.BooleanOp` | `getOpCode()`
    `Expression` | `getRight()`
    `Expression` | `rewriteExpression(String prefix)`
    `void` | `setLeft(Expression l)`
    `void` | `setRight(Expression r)`
    `String` | `toString()`
    `void` | `validateExpression(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)` Validate parse tree : Process Boolean Expression
    `VariableSet` | `variablesRead()`
    `VariableSet` | `variablesUpdated()`

    - ### Methods inherited from class org.apache.sysds.parser.Expression

      `computeDataType, computeDataType, computeValueType, computeValueType, computeValueType, convertFormatType, equals, getBeginColumn, getBeginLine, getBinaryMatrixCharacteristics, getBinaryOp, getBooleanOp, getEndColumn, getEndLine, getFilename, getOutput, getOutputs, getParseExceptionList, getRelationalOp, getTempName, getText, hashCode, printErrorLocation, printInfoLocation, printWarningLocation, raiseValidateError, raiseValidateError, raiseValidateError, setBeginColumn, setBeginLine, setCtxValues, setCtxValuesAndFilename, setEndColumn, setEndLine, setFilename, setOutput, setParseExceptionList, setParseInfo, setText, validateExpression`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.sysds.parser.ParseInfo

      `ctxAndFilenameToParseInfo`

- - ### Constructor Detail

    - #### BooleanExpression

          public BooleanExpression(Expression.BooleanOp bop)

    - #### BooleanExpression

          public BooleanExpression(Expression.BooleanOp bop,
                                   ParseInfo parseInfo)

  - ### Method Detail

    - #### getOpCode

          public Expression.BooleanOp getOpCode()

    - #### setLeft

          public void setLeft(Expression l)

    - #### setRight

          public void setRight(Expression r)

    - #### getLeft

          public Expression getLeft()

    - #### getRight

          public Expression getRight()

    - #### rewriteExpression

          public Expression rewriteExpression(String prefix)

      Specified by:
        `rewriteExpression` in class `Expression`

    - #### validateExpression

          public void validateExpression(HashMap<String,DataIdentifier> ids,
                                         HashMap<String,ConstIdentifier> constVars,
                                         boolean conditional)

      Validate parse tree : Process Boolean Expression
      Overrides:
        `validateExpression` in class `Expression`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### variablesRead

          public VariableSet variablesRead()

      Specified by:
        `variablesRead` in class `Expression`

    - #### variablesUpdated

          public VariableSet variablesUpdated()

      Specified by:
        `variablesUpdated` in class `Expression`

Copyright © 2020 The Apache Software Foundation. All rights reserved.